\version "2.24.1"

qb = \beamExceptions {
  8[ 8 8 8] |
  \repeat unfold 4 \scaleDurations 2/3 { 16[ 16 16] } |
  \repeat unfold 2 { 32[ 32 32 32 32 32 32 32] } }
cb = \beamExceptions {
  8[ 8 8 8] |
  \repeat unfold 2 \scaleDurations 2/3 { 16[ 16 16 16 16 16] } }

II.beaming = \new Devnull {
  \repeat volta 2 {
    \set Timing.beamExceptions = \qb s2*6
    \set Timing.beamExceptions = \cb s2*6
    \set Timing.beamExceptions = \qb s2*4
    \set Timing.beamExceptions = \cb s2*3
    \set Timing.beamExceptions = \qb s2*9
  }
  \set Timing.beamExceptions = \qb s2*10
  \set Timing.beamExceptions = \cb s2*9
  \set Timing.beamExceptions = \qb s2*4
  \set Timing.beamExceptions = \cb s2*3
  \set Timing.beamExceptions = \qb s2*9
}

II.Violin.1 = <<
  \II.beaming
  \relative c'' {
    \key g\major

    \repeat volta 2 {
      d4(\p b8) c16. a32 |
      g4( fis8) a |
      \tuplet 3/2 8 { g16 b a g d' c b g' fis g fis e } |
      \appoggiatura d8 c4\slashturn b8 r |
      d4( b8) c16. a32 | % bar 5
      g4( fis8) a |
      \tuplet 6/4 4 { g16 b a g fis e d e fis g d b } |
      \appoggiatura d8 c4\slashturn b8 r |
      b'4 ~ \scaleDurations 4/6 { 16 a g fis e dis |
        e16 g' g g g g g fis e d cis b } | % bar 10
      a4 ~ \scaleDurations 4/6 { 16 g fis e d cis |
        d16 fis' fis fis fis fis fis e d cis b a } |
      a8[ ~ \scaleDurations 2/3 { a16 b a] g a g fis d' b } |
      a8[ ~ \scaleDurations 2/3 { a16 b a] g a g fis d' a } |
      b8[ ~ \scaleDurations 2/3 { b16 cis d] e fis g fis e d } | % bar 15
      d8.( e32 d) cis8-. r |
      r8 \tuplet 3/2 { d'16( cis b) } \tuplet 6/4 { a16 fis d a' g e } |
      \scaleDurations 4/6 {
        a16 fis d d' cis b a fis d a' g e |
        a16 fis d a' g e a16 fis d a' g e |
      }
      \scaleDurations 2/3 { a16( fis d) } c'!16. 32 8-. r | % bar 20
      r8 b16. 32 8 a32( g fis e) |
      d4 e\trill |
      \tuplet 3/2 { fis16( e d) } c'!16. 32 8-. r |
      r8 \tuplet 3/2 { b16( cis d) } \scaleDurations 2/3 { cis16 b a g fis e } |
      d4 e\trill | % bar 25
      \scaleDurations 4/6 {
        d16 a' a a a a a b a g fis g |
        fis16 fis  fis fis fis fis fis g fis e d cis |
      }
      cis4( d8) r |
    }

    d2 ~ |
    2 | % bar 30
    \scaleDurations 2/3 { e16 fis g fis g a } g8 r16 b, |
    \scaleDurations 2/3 { c16 d e a, b c } b8 r16 g |
    \scaleDurations 2/3 { e16 fis gis a b c d e d c b a } |
    g!4( fis8)-. g32( a b c) |
    d4( b8) c16. a32 | % bar 35
    g4( fis8) a |
    \scaleDurations 2/3 { g16 b a g d' c b g' fis g fis e } |
    \appoggiatura d8 c4\slashturn b8 r |
    d4( \scaleDurations 4/6 { b16) d c b c d |
      c16 c c c d e d d d d e f | % bar 40
      f16( e) e e e e e d c b a gis |
      a16 a' a a a a a g fis! e d cis |
      e16( d) d d d d d c! b a g fis |
      g16 g' g g g g g fis e d c b |
      d16( c) c c c c c b a g fis e | % bar 45
      d16 a''16 a a a a a g fis e d c |
      b16 b' b b b b b a g fis e d |
    }
    d8[ ~ \scaleDurations 2/3 { 16 e d] c d c b g' e } |
    d8[ ~ \scaleDurations 2/3 { 16 e d] c d c b g' d } |
    e8[ ~ \scaleDurations 2/3 { 16 d c] b a gis a b c } | % bar 50
    g!4( fis8) r |
    r8 \tuplet 3/2 { g'16( fis e) } \scaleDurations 4/6 { d16 b g d' c a |
      d16 b g g' fis e d b g d' c a |
      d b g d' c a d b g d' c a |
    }
    \scaleDurations 2/3 { d16( b g) } f'16. 32 8-. r | % bar 55
    r8 e16. 32 e8 d32( c b a) |
    g4 a\trill |
    \tuplet 3/2 { b16( a g) } f'16. 32 8-. r |
    r8 \tuplet 3/2 { e16( fis! g) } \scaleDurations 2/3 { fis16 e d c b a } |
    g4 a\trill | % bar 60
    \scaleDurations 2/3 {
      g16 d' d d d d d e d c b c |
      b16 b b b b b b c b a g fis |
    }
    fis4( g8) r |
  }
>>

II.Violin.2 = <<
  \II.beaming
  \relative c' {
    \key g\major

    \repeat volta 2 {
      b4(\p g8.) c16 |
      b4( a8) fis' |
      g4 r8 g |
      a16. d,32 e16. fis32 g16. d32 b16. d32 |
      g,8([ b)] g8.[ c16] | % bar 5
      b4( a8) fis' |
      \tuplet 6/4 4 { g16 b a g fis e d e fis g d b } |
      \appoggiatura d8 c4\slashturn b8 r |
      b'4 ~ \scaleDurations 4/6 { 16 a g fis e dis |
        e16 g' g g g g g fis e d cis b } | % bar 10
      a4 ~ \scaleDurations 4/6 { 16 g fis e d cis |
        d16 fis' fis fis fis fis fis e d cis b a } |
      a8[ ~ \scaleDurations 2/3 { a16 b a] g a g fis d' b } |
      a8[ ~ \scaleDurations 2/3 { a16 b a] g a g fis d' a } |
      b8[ ~ \scaleDurations 2/3 { b16 cis d] e fis g fis e d } | % bar 15
      d8.( e32 d) cis8-. r |
      r8 \tuplet 3/2 { d'16( cis b) } \tuplet 6/4 { a16 fis d a' g e } |
      \scaleDurations 4/6 {
        a16 fis d d' cis b a fis d a' g e |
        a16 fis d a' g e a16 fis d a' g e |
      }
      \scaleDurations 2/3 { a16( fis d) } a'16. 32 8-. r | % bar 20
      r8 b16. 32 8 a32( g fis e) |
      d4 e\trill |
      \tuplet 3/2 { fis16( e d) } a'16. 32 8-. r |
      r8 \tuplet 3/2 { b16( cis d) } \scaleDurations 2/3 { cis16 b a g fis e } |
      d4 e\trill | % bar 25
      \scaleDurations 4/6 {
        d16 fis fis fis fis fis fis g fis e d e |
        d16 a a a a a a b a g fis e |
      }
      e4( fis8) r |
    }

    \scaleDurations 2/3 { a16 fis d b' g d } c'8 r |
    \scaleDurations 2/3 { b16 g d c' a d, } d'8 r | % bar 30
    \scaleDurations 2/3 { e16 fis g fis g a } g8 r16 b, |
    \scaleDurations 2/3 { c16 d e a, b c } b8 r16 g |
    \scaleDurations 2/3 { e16 fis gis a b c d e d c b a } |
    g!4( fis8) r |
    b,4( g8.) c16 | % bar 35
    b4( a8) fis' |
    g4 r8 g |
    a16. d,32 e16. fis32 g16. d32 b16. d32 |
    g,8 d''( \scaleDurations 4/6 { b16) d c b c d |
      c16 c c c d e d d d d e f | % bar 40
      f16( e) e e e e e d c b a gis |
      a16 a' a a a a a g fis! e d cis |
      e16( d) d d d d d c! b a g fis |
      g16 g' g g g g g fis e d c b |
      d16( c) c c c c c b a g fis e | % bar 45
      d16 a''16 a a a a a g fis e d c |
      b16 b' b b b b b a g fis e d |
    }
    d8[ ~ \scaleDurations 2/3 { 16 e d] c d c b g' e } |
    d8[ ~ \scaleDurations 2/3 { 16 e d] c d c b g' d } |
    e8[ ~ \scaleDurations 2/3 { 16 d c] b a gis a b c } | % bar 50
    g!4( fis8) r |
    r8 \tuplet 3/2 { g'16( fis e) } \scaleDurations 4/6 { d16 b g d' c a |
      d16 b g g' fis e d b g d' c a |
      d b g d' c a d b g d' c a |
    }
    \scaleDurations 2/3 { d16( b g) } d'16. 32 8-. r | % bar 55
    r8 e16. 32 e8 d32( c b a) |
    g4 a\trill |
    \tuplet 3/2 { b16( a g) } d'16. 32 8-. r |
    r8 \tuplet 3/2 { e16( fis! g) } \scaleDurations 2/3 { fis16 e d c b a } |
    g4 a\trill | % bar 60
    \scaleDurations 2/3 {
      g16 b b b b b b c b a g a |
      g16 d d d d d d e d c b a |
    }
    a4( b8) r |
  }
>>

II.Viola = <<
  \II.beaming
  \relative c' {
    \key g\major

    \repeat volta 2 {
      r16. g32\p b16. d32 g8 e16. c32 |
      d4. 8 |
      d4 r |
      R2 |
      r16. g,32 b16. d32 g8 e16. c32 | % bar 5
      d4. 8 |
      d4 r8 g, ~ |
      8 fis g r |
      r8 g g g |
      g4 r | % bar 10
      r8 fis fis fis |
      fis4 r |
      r8 e'4 fis8 |
      r8 e4 fis8 |
      r8 g, g gis | % bar 15
      a8 a' \tuplet 3/2 8 { a16 b a g fis e } |
      d4 r8 g( |
      fis4) r8 g |
      fis8( g fis g) |
      fis4 r8 d16. 32 | % bar 20
      d4 r |
      r8 d4 cis8 |
      d4 r8 d16. 32 |
      d4 r |
      r8 d4 cis8 | % bar 25
      d4 r8 a |
      d4 r8 a |
      d,8 d' d, r |
    }

    d'4 r8 a' |
    b4 r8 g | % bar 30
    c,8 a b g |
    a8 fis g b |
    c4 r8 a16 c |
    d4. c8 |
    b16. g32 b16. d32 g8 e16. c32 | % bar 35
    d4. 8 |
    d4 r |
    R2 |
    r16. g,32 b16. d32 g8 f |
    e8 c' b g | % bar 40
    c8 c, r c |
    fis!8 fis, r fis' |
    b8 b, r b |
    e8 e, r e' |
    a8 a, r a | % bar 45
    d8 d, r d' |
    g8 g, r4 |
    r8 d' d d |
    r8 d d d |
    r8 c c e | % bar 50
    b4( a8) r |
    b4 r8 c( |
    b4) r8 c |
    b8( c b c) |
    b4 r8 g16. 32 | % bar 55
    4 r |
    r8 g4 fis8 |
    g4 r8 g16. 32 |
    4 r |
    r8 g4 fis8 | % bar 60
    g4 r8 d' |
    g,4 r8 d |
    g8 g' g, r |
  }
>>

II.Cello = \relative c' {
  \key g\major

  <<
    {
      \repeat volta 2 {
        \clef "tenor" s2*6 s4 \clef "bass" s4 s2 \clef "tenor" s2*20
      }
      s2*35
    }
    \transpose c c, \II.Violin.1
  >>
}

II.Bass = <<
  \II.beaming
  \relative c, {
    \key g\major

    \repeat volta 2 {
      r16. g32\p b16. d32 g8 e16. c32 |
      d8[ d'] d,[ c] |
      b4 r |
      R2 |
      r16. g32 b16. d32 g8 e16. c32 | % bar 5
      d8[ d'] d,[ c] |
      b4 r8 g |
      a8[ d] g,[ g'] |
      r8 g g g |
      g4 r | % bar 10
      r8 fis fis fis |
      fis4 r |
      r8 cis' cis d |
      r8 cis cis d |
      r8 g, g gis | % bar 15
      a8 a, \tuplet 3/2 8 { a'16 b a g fis e } |
      d4 r8 cis'( |
      d4) r8 cis |
      d8( cis d cis) |
      d4 r8 fis,16. 32 | % bar 20
      g4 r |
      r8 fis g a |
      d,4 r8 fis16. 32 |
      g4 r |
      r8 fis g a | % bar 25
      d,4 r8 a' |
      d4 r8 a, |
      d, d' d, r |
    }

    d'4 r8 fis |
    g4 r8 b | % bar 30
    c8 a b g |
    a8 fis g b, |
    c4 r8 a16 c |
    d8 d' d c |
    b16. g,32 b16. d32 g8 e16. c32 | % bar 35
    d8[ d'] d,[ c] |
    b4 r |
    R2 |
    r16. g32 b16. d32 g8 f |
    e8 c' b g | % bar 40
    c8 c, r c |
    fis!8 fis, r fis' |
    b8 b, r b |
    e8 e, r e' |
    a8 a, r a | % bar 45
    d8 d, r d' |
    g8 g, r4 |
    r8 fis' fis g |
    r8 fis fis g |
    r8 c, c c | % bar 50
    d8 d, \tuplet 3/2 8 { d'16 e d c b a } |
    g4 r8 fis'( |
    g4) r8 fis |
    g8( fis g fis) |
    g4 r8 b16. 32 | % bar 55
    c4 r |
    r8 b c d |
    g,4 r8 b16. 32 |
    c4 r |
    r8 b, c d | % bar 60
    g,4 r8 d' |
    g4 r8 d |
    g,8 g' g, r |
  }
>>

II.Oboe.1 = \relative c''' {
  \key g\major

  \repeat volta 2 {
    R2*28 |
  }

  R2*6 |
  d4(\p b8) c16. a32 | % bar 35
  g4( fis8) a |
  g4 r |
  R2 |
  d4(\p b8) d |
  \partCombineApart
  c8[ e d f] | % bar 40
  e4 r |
  a2 ~ |
  2 |
  g2 ~ |
  2 | % bar 45
  fis2 |
  \partCombineAutomatic g4 r |
  R2*13 | % bar 60
  r8 d'4(\p c8) |
  b8 4 fis8 |
  fis4( g8) r |
}

II.Oboe.2 = \relative c''' {
  \key g\major

  \repeat volta 2 {
    R2*28 |
  }

  R2*6 |
  b4(\p g8.) e16 | % bar 35
  b4( a8) fis |
  g4 r |
  R2 |
  b4\p( g8) b |
  c8 g4 8 | % bar 40
  e'2 ~ |
  2 |
  d2 ~ |
  2 |
  c2 ~ | % bar 45
  2 |
  b4 r |
  R2*13 | % bar 60
  r8 b'4(\p a8) |
  g8 d4 c8 |
  c4( b8) r |
}

II.Bassoon = \transpose c c' \II.Bass

II.structure = \new Structure {
  \tempo "Andate moderato"
  \time 2/4
  \key g\major
  \repeat volta 2 { s2*28 }
  s2*35
  \fine
}

II.tacet = {
  \repeat volta 2 { R2*28 }
  R2*35
}

II.transpose.Bass = #octave
