\version "2.24.1"

N = 50
\include "haydn.ly"

horntpt      = \markup \pairinsts "I" "II" \center-column { "Horns in C (alto)" "(Trumpets in C)" }
horntptshort = \markup \center-column { "Hn" "(Tpt)"  }

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \score {
      \layout { \breaklayout I }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup
          \new OboeIandII \partCombine #'(0 . 11) \I.Oboe.1 \I.Oboe.2
        \new StaffGroup
          \new HornIandII \with {
            \remove \Transposing_instrument_name
            instrumentName = \horntpt
            shortInstrumentName = \horntptshort
            key=\I.transpose.HornStaff
          } \partCombine \I.Horn.1 \I.Horn.2
        \new Timpani \with { tuning=\I.tuning.Timpani } { \I.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CBB   { \I.CBB }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \score {
      \layout { \breaklayout II }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \II.structure
        \new StaffGroup
          \new OboeIandII \partCombine #'(0 . 9) \II.Oboe.1 \II.Oboe.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new StaffGroup \with { systemStartDelimiter = #'SystemStartBrace } <<
            \new Cello { \II.Cello }
            \new Bass  { \II.Bass }
          >>
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \score {
      \layout { \breaklayout IIIa }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIa
        \IIIa.structure
        \new StaffGroup
          \new OboeIandII \partCombine #'(0 . 9) \IIIa.Oboe.1 \IIIa.Oboe.2
        \new StaffGroup
          \new HornIandII \with {
            \remove \Transposing_instrument_name
            instrumentName = \horntpt
            shortInstrumentName = \horntptshort
            key=\IIIa.transpose.HornStaff
          } \partCombine \IIIa.Horn.1 \IIIa.Horn.2
        \new Timpani \with { tuning=\IIIa.tuning.Timpani } { \IIIa.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIa.Violin.1 }
            \new ViolinII { \IIIa.Violin.2 }
          >>
          \new Viola { \IIIa.Viola }
          \new CBB   { \IIIa.CBB }
        >>
      >>
    }
    \keepWithTag \Haydntags \tag #'Mvt3 \pageBreak
    \score {
      \layout { \breaklayout IIIb }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIb
        \IIIb.structure
        \new StaffGroup
          \new Oboe { \IIIb.Oboe.1 }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIb.Violin.1 }
            \new ViolinII { \IIIb.Violin.2 }
          >>
          \new Viola { \IIIb.Viola }
          \new CBB   { \IIIb.CBB }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \score {
      \layout { \breaklayout IV }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup
          \new OboeIandII \partCombine \IV.Oboe.1 \IV.Oboe.2
        \new StaffGroup <<
          \new HornIandII \with { key=\IV.transpose.HornStaff } \partCombine \IV.Horn.1 \IV.Horn.2
          \new TrumpetIandII \with { key=\IV.transpose.TrumpetStaff } \partCombine \IV.Trumpet.1 \IV.Trumpet.2
        >>
        \new Timpani \with { tuning=\IV.tuning.Timpani } { \IV.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new CBB   { \IV.CBB }
        >>
      >>
    }
  }
}
