\version "2.24.1"

#(begin
  (use-modules (guile-user) (srfi srfi-1) (ice-9 regex))
  (ly:set-option 'point-and-click #f)

  (define Edition (if (defined? 'Edition) Edition 'edit)) ; HCRL for exact transcription
  (define score?  (if (defined? 'score?) score? 'score))  ; score or parts
  (define Haydntags
    (append
      (list Edition score?)
      (if (defined? 'Haydntags) Haydntags '(Mvt1 Mvt2 Mvt3 Mvt4 Mvt5 Mvt6 Mvt7 Mvt8))))
  (define final (if (defined? 'final) final #t))
  (define imslp (if (defined? 'imslp) imslp #t))
  (define titles    (format #f "~3,'0d-header.ly"  N))
  (define licence   (format #f "~3,'0d-licence.ly" N))
  (define breakfile (format #f "~3,'0d-breaks.ly"  N))
  (set-global-staff-size (cond ((eq? score? 'parts) 20) (final 14) (else 13))))
